{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
        </div>
        <div>
            {% if not projects %}
                <p>You are not assigned to any projects</p>
            {% else %}
        </div>
        <div>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for project in projects %}
                        <tr>
                            <td><a href="{% url 'show_project' project.id %}">{{ project.name }}</a></td>
                            <td>{{ project.tasks.all|length }}</td>
                        </tr>
                </tbody>
                    {% endfor %}
            {% endif %}
            </table>
        </div>
    </main>
{% endblock content %}
